--- old/usr/src/cmd/sgs/Makefile.targ	2019-07-05 17:31:48.594181632 +0000
+++ new/usr/src/cmd/sgs/Makefile.targ	2019-07-05 17:31:48.611746255 +0000
@@ -39,18 +39,6 @@
 $(VAR_SGSBIN64)/%: %
 	$(INS.file)
 
-$(ROOTFS_LIBDIR)/$(LIBLINKS): $(ROOTFS_LIBDIR)/$(LIBLINKS)$(VERS)
-	$(INS.liblink)
-
-$(ROOTFS_LIBDIR64)/$(LIBLINKS): $(ROOTFS_LIBDIR64)/$(LIBLINKS)$(VERS)
-	$(INS.liblink64)
-
-$(ROOTFS_LIBDIR)/$(LIBLINKSCCC): $(ROOTFS_LIBDIR)/$(LIBLINKSCCC)$(VERS)
-	$(INS.liblinkccc)
-
-$(ROOTFS_LIBDIR64)/$(LIBLINKSCCC): $(ROOTFS_LIBDIR64)/$(LIBLINKSCCC)$(VERS)
-	$(INS.liblinkccc64)
-
 #
 # For those that install into the SGSPROTO directory.
 #
--- old/usr/src/cmd/sgs/Makefile.var	2019-07-05 17:31:49.077418491 +0000
+++ new/usr/src/cmd/sgs/Makefile.var	2019-07-05 17:31:49.095760113 +0000
@@ -132,11 +132,6 @@
 VAR_TOOLS_CPPFLAGS=		$(VAR_AVLINCDIR)
 
 #
-# liblddbg
-#
-VAR_LIBLDDBG_64_ROOTFS_LIBDIR=	$(ROOT)/lib/$(MACH64)
-
-#
 # rtld
 #
 VAR_RTLD_CPICLIB=	-L ../../../../lib/libc/$(MACH)
--- old/usr/src/cmd/sgs/lex/Makefile.com	2019-07-05 17:31:49.565733928 +0000
+++ new/usr/src/cmd/sgs/lex/Makefile.com	2019-07-05 17:31:49.582491283 +0000
@@ -44,6 +44,13 @@
 
 include		../../../../lib/Makefile.lib
 
+COMPATLINKS=	/usr/ccs/lib/libl.so \
+		/usr/ccs/lib/$(MACH64)/libl.so
+
+$(ROOT)/usr/ccs/lib/libl.so := COMPATLINKTARGET=../../lib/libl.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libl.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/libl.so.1
+
 SRCDIR =	../common
 
 CSTD=	$(CSTD_GNU99)
--- old/usr/src/cmd/sgs/lex/Makefile.targ	2019-07-05 17:31:50.032491909 +0000
+++ new/usr/src/cmd/sgs/lex/Makefile.targ	2019-07-05 17:31:50.048639079 +0000
@@ -83,5 +83,8 @@
 $(DYNLINKLIBDIR)/%: %$(VERS)
 	$(INS.liblink)
 
+$(ROOTCOMPATLINKS):
+	$(RM) $@; $(SYMLINK) $(COMPATLINKTARGET) $@
+
 clean:
 	$(RM) $(POBJS) $(OBJS) $(PICS) $(CLEANFILES)
--- old/usr/src/cmd/sgs/lex/amd64/Makefile	2019-07-05 17:31:50.483207371 +0000
+++ new/usr/src/cmd/sgs/lex/amd64/Makefile	2019-07-05 17:31:50.500090073 +0000
@@ -23,8 +23,6 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 # This Makefile is only to produce 64-bit lex shared library libl.so.1
 # and not for building 64-bit lex itself.
@@ -36,7 +34,7 @@
 
 all_lib: $(LIBS)
 
-install_lib:        all_lib $(ROOTLIBS64) $(ROOTLINKS64)
+install_lib:        all_lib $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include		../Makefile.targ
 include		../../../Makefile.targ
--- old/usr/src/cmd/sgs/lex/i386/Makefile	2019-07-05 17:31:50.920117836 +0000
+++ new/usr/src/cmd/sgs/lex/i386/Makefile	2019-07-05 17:31:50.935686845 +0000
@@ -38,7 +38,7 @@
 
 install:	all $(ROOTPROG) $(ROOTFORMS) $(ROOTCCSBINLINK)
 
-install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB)
+install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTCOMPATLINKS)
 
 include		../Makefile.targ
 include		../../../Makefile.targ
--- old/usr/src/cmd/sgs/lex/sparc/Makefile	2019-07-05 17:31:51.347301403 +0000
+++ new/usr/src/cmd/sgs/lex/sparc/Makefile	2019-07-05 17:31:51.362468544 +0000
@@ -38,7 +38,7 @@
 
 install:	all $(ROOTPROG) $(ROOTFORMS) $(ROOTCCSBINLINK)
 
-install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB)
+install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTCOMPATLINKS)
 
 include		../Makefile.targ
 include		../../../Makefile.targ
--- old/usr/src/cmd/sgs/lex/sparcv9/Makefile	2019-07-05 17:31:51.771384659 +0000
+++ new/usr/src/cmd/sgs/lex/sparcv9/Makefile	2019-07-05 17:31:51.788504043 +0000
@@ -20,13 +20,9 @@
 # CDDL HEADER END
 #
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1997 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# cmd/sgs/lex/sparcv9/Makefile
-#
 
 # This Makefile is only to produce 64-bit lex shared library libl.so.1
 # and not for building 64-bit lex itself.
@@ -38,7 +34,7 @@
 
 all_lib: $(LIBS)
 
-install_lib:        all_lib $(ROOTLIBS64) $(ROOTLINKS64)
+install_lib:        all_lib $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include		../Makefile.targ
 include		../../../Makefile.targ
--- old/usr/src/cmd/sgs/libdl/Makefile.com	2019-07-05 17:31:52.238500990 +0000
+++ new/usr/src/cmd/sgs/libdl/Makefile.com	2019-07-05 17:31:52.255917736 +0000
@@ -27,3 +27,8 @@
 VERS =		.1
 
 include		$(SRC)/lib/Makefile.rootfs
+
+COMPATLINKS +=	/etc/lib/libdl.so.1
+$(ROOT)/etc/lib/libdl.so.1 := COMPATLINKTARGET=../../lib/libdl.so.1
+
+
--- old/usr/src/cmd/sgs/libdl/amd64/Makefile	2019-07-05 17:31:52.708685023 +0000
+++ new/usr/src/cmd/sgs/libdl/amd64/Makefile	2019-07-05 17:31:52.729220876 +0000
@@ -29,6 +29,7 @@
 
 DYNFLAGS +=	-F /usr/lib/$(MACH64)/ld.so.1
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/cmd/sgs/libdl/i386/Makefile	2019-07-05 17:31:53.187350221 +0000
+++ new/usr/src/cmd/sgs/libdl/i386/Makefile	2019-07-05 17:31:53.205346072 +0000
@@ -30,6 +30,6 @@
 
 DYNFLAGS +=	-F /usr/lib/ld.so.1
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/cmd/sgs/libdl/sparc/Makefile	2019-07-05 17:31:53.665808064 +0000
+++ new/usr/src/cmd/sgs/libdl/sparc/Makefile	2019-07-05 17:31:53.684039733 +0000
@@ -39,7 +39,8 @@
 ROOT4LINKS =	$(ROOT4LIBDIR)/$(4DYNLIB)
 $(ROOT4LINKS):=	LIBLINKPATH = ../../lib/
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOT4LINKS)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) \
+	$(ROOT4LINKS) $(ROOTCOMPATLINKS64)
 
 $(ROOT4LINKS):	$(ROOTFS_DYNLIB)
 		$(INS.liblink)
--- old/usr/src/cmd/sgs/libdl/sparcv9/Makefile	2019-07-05 17:31:54.150071537 +0000
+++ new/usr/src/cmd/sgs/libdl/sparcv9/Makefile	2019-07-05 17:31:54.169364629 +0000
@@ -29,6 +29,7 @@
 
 DYNFLAGS +=	-F /usr/lib/$(MACH64)/ld.so.1
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/cmd/sgs/libelf/Makefile.com	2019-07-05 17:31:54.620931320 +0000
+++ new/usr/src/cmd/sgs/libelf/Makefile.com	2019-07-05 17:31:54.639840835 +0000
@@ -51,6 +51,7 @@
 OBJECTS=	$(BLTOBJS)  $(MACHOBJS)  $(COMOBJS)  $(CLASSOBJS) $(MISCOBJS)
 
 include $(SRC)/lib/Makefile.lib
+include $(SRC)/lib/Makefile.rootfs
 
 # Use the value of M4 set in Makefile.master via Makefile.lib
 
@@ -95,13 +96,6 @@
 LIBSRCS=	$(COMOBJS:%.o=../common/%.c)  $(MISCOBJS:%.o=../misc/%.c) \
 		$(MACHOBJS:%.o=%.c)  $(BLTSRCS)
 
-ROOTFS_DYNLIB=		$(DYNLIB:%=$(ROOTFS_LIBDIR)/%)
-
-ROOTFS_DYNLIB64=	$(DYNLIB:%=$(ROOTFS_LIBDIR64)/%)
-
-$(ROOTFS_DYNLIB) :=	FILEMODE= 755
-$(ROOTFS_DYNLIB64) :=	FILEMODE= 755
-
 LIBS =		$(DYNLIB)
 
 CLEANFILES +=	$(BLTSRCS) $(BLTFILES)
--- old/usr/src/cmd/sgs/libelf/Makefile.targ	2019-07-05 17:31:55.089996894 +0000
+++ new/usr/src/cmd/sgs/libelf/Makefile.targ	2019-07-05 17:31:55.109207683 +0000
@@ -46,8 +46,8 @@
 
 all:		$(BLTSRCS) .WAIT $(LIBS) $(LIBLINKS)
 
-install:	all .WAIT $(ROOTFS_LIBS) $(ROOTFS_LINKS) \
-		.WAIT $(ROOTDEMODIRS) .WAIT $(ROOTDEMOFILES)
+install:	all .WAIT $(ROOTLIBS) $(ROOTLINKS) \
+		.WAIT $(ROOTDEMODIRS) .WAIT $(ROOTDEMOFILES) $(ROOTCOMPATLINKS)
 
 delete:
 		$(RM) $(DYNLIB)
--- old/usr/src/cmd/sgs/libelf/Makefile.targ.64	2019-07-05 17:31:55.566811334 +0000
+++ new/usr/src/cmd/sgs/libelf/Makefile.targ.64	2019-07-05 17:31:55.584006752 +0000
@@ -45,7 +45,8 @@
 
 all:		$(BLTSRCS) .WAIT $(LIBS) $(LIBLINKS)
 
-install:	all .WAIT $(ROOTFS_LIBS64) $(ROOTFS_LINKS64)
+install:	all .WAIT $(ROOTFS_LIBS64) $(ROOTFS_LINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 delete:
 		$(RM) $(DYNLIB)
--- old/usr/src/cmd/sgs/liblddbg/Makefile.com	2019-07-05 17:31:56.315621021 +0000
+++ new/usr/src/cmd/sgs/liblddbg/Makefile.com	2019-07-05 17:31:56.332089698 +0000
@@ -53,8 +53,14 @@
 
 
 include		$(SRC)/lib/Makefile.lib
+include		$(SRC)/lib/Makefile.rootfs
 include		$(SRC)/cmd/sgs/Makefile.com
 
+LIBS =		$(DYNLIB)
+
+COMPATLINKS =	/usr/lib/$(DYNLIB)
+COMPATLINKS64 = /usr/lib/$(MACH64)/$(DYNLIB)
+
 SRCDIR =	../common
 
 CERRWARN +=	-_gcc=-Wno-unused-value
@@ -87,4 +93,3 @@
 CLEANFILES +=	$(BLTFILES)
 CLOBBERFILES +=	$(DYNLIB) $(LIBLINKS)
 
-ROOTFS_DYNLIB =	$(DYNLIB:%=$(ROOTFS_LIBDIR)/%)
--- old/usr/src/cmd/sgs/liblddbg/amd64/Makefile	2019-07-05 17:31:56.751448445 +0000
+++ new/usr/src/cmd/sgs/liblddbg/amd64/Makefile	2019-07-05 17:31:56.767058707 +0000
@@ -26,11 +26,6 @@
 
 include		../Makefile.com
 
-ROOTFS_LIBDIR64 = \
-		$(VAR_LIBLDDBG_64_ROOTFS_LIBDIR)
-ROOTFS_DYNLIB64 = \
-		$(DYNLIB:%=$(ROOTFS_LIBDIR64)/%)
-
 CONVLIBDIR =	$(CONVLIBDIR64)
 
 .KEEP_STATE:
@@ -40,7 +35,7 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB64)
+package:	all $(ROOTLIBS64) $(ROOTCOMPATLINKS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/liblddbg/i386/Makefile	2019-07-05 17:31:57.211818281 +0000
+++ new/usr/src/cmd/sgs/liblddbg/i386/Makefile	2019-07-05 17:31:57.229877140 +0000
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include		../Makefile.com
 
@@ -33,6 +31,6 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB)
+package:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/liblddbg/sparc/Makefile	2019-07-05 17:31:57.705183051 +0000
+++ new/usr/src/cmd/sgs/liblddbg/sparc/Makefile	2019-07-05 17:31:57.724386580 +0000
@@ -23,8 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include		../Makefile.com
 
@@ -33,6 +31,6 @@
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB)
+package:	all $(ROOTLIBS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/liblddbg/sparcv9/Makefile	2019-07-05 17:31:58.205672215 +0000
+++ new/usr/src/cmd/sgs/liblddbg/sparcv9/Makefile	2019-07-05 17:31:58.223791597 +0000
@@ -26,21 +26,14 @@
 
 include		../Makefile.com
 
-ROOTFS_LIBDIR64 = \
-		$(VAR_LIBLDDBG_64_ROOTFS_LIBDIR)
-ROOTFS_DYNLIB64 = \
-		$(DYNLIB:%=$(ROOTFS_LIBDIR64)/%)
-
 CONVLIBDIR =	$(CONVLIBDIR64)
 
 .KEEP_STATE:
 
-$(ROOTFS_DYNLIB64) :=	FILEMODE= 755
-
 all:		$(DYNLIB) $(LIBLINKS)
 
 install \
-package:	all $(ROOTFS_DYNLIB64)
+package:	all $(ROOTLIBS64) $(ROOTCOMPATLINKS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/librtld/Makefile.com	2019-07-05 17:31:58.681602924 +0000
+++ new/usr/src/cmd/sgs/librtld/Makefile.com	2019-07-05 17:31:58.699473563 +0000
@@ -38,8 +38,14 @@
 
 
 include		$(SRC)/lib/Makefile.lib
+include		$(SRC)/lib/Makefile.rootfs
 include		$(SRC)/cmd/sgs/Makefile.com
 
+LIBS =		$(DYNLIB)
+
+COMPATLINKS =	/usr/lib/$(DYNLIB)
+COMPATLINKS64 = /usr/lib/$(MACH64)/$(DYNLIB)
+
 SRCDIR =	../common
 CPPFLAGS +=	-I../../rtld/common -I$(SRCBASE)/lib/libc/inc \
 		-I$(SRCBASE)/uts/common/krtld -I$(SRC)/common/sgsrtcid \
@@ -68,5 +74,3 @@
 
 CLEANFILES +=	$(BLTFILES)
 CLOBBERFILES +=	$(DYNLIB) $(LIBLINKS)
-
-ROOTFS_DYNLIB=	$(DYNLIB:%=$(ROOTFS_LIBDIR)/%)
--- old/usr/src/cmd/sgs/librtld/amd64/Makefile	2019-07-05 17:31:59.164431657 +0000
+++ new/usr/src/cmd/sgs/librtld/amd64/Makefile	2019-07-05 17:31:59.181216085 +0000
@@ -30,12 +30,9 @@
 
 .KEEP_STATE:
 
-ROOTFS_DYNLIB64 =	$(DYNLIB:%=$(ROOTFS_LIBDIR64)/%)
-$(ROOTFS_DYNLIB64) :=	FILEMODE=755
-
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB64)
+install:	all $(ROOTLIBS64) $(ROOTCOMPATLINKS64)
 
 CPPFLAGS +=	-D_ELF64
 
--- old/usr/src/cmd/sgs/librtld/i386/Makefile	2019-07-05 17:31:59.639225787 +0000
+++ new/usr/src/cmd/sgs/librtld/i386/Makefile	2019-07-05 17:31:59.657047452 +0000
@@ -32,6 +32,6 @@
 
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/cmd/sgs/librtld/Makefile.targ
--- old/usr/src/cmd/sgs/librtld/sparc/Makefile	2019-07-05 17:32:00.127438498 +0000
+++ new/usr/src/cmd/sgs/librtld/sparc/Makefile	2019-07-05 17:32:00.146168971 +0000
@@ -32,6 +32,6 @@
 
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/cmd/sgs/librtld/Makefile.targ
--- old/usr/src/cmd/sgs/librtld/sparcv9/Makefile	2019-07-05 17:32:00.604615802 +0000
+++ new/usr/src/cmd/sgs/librtld/sparcv9/Makefile	2019-07-05 17:32:00.622594047 +0000
@@ -30,12 +30,9 @@
 
 .KEEP_STATE:
 
-ROOTFS_DYNLIB64 =	$(DYNLIB:%=$(ROOTFS_LIBDIR64)/%)
-$(ROOTFS_DYNLIB64) :=	FILEMODE=755
-
 all:		$(DYNLIB) $(LIBLINKS)
 
-install:	all $(ROOTFS_DYNLIB64)
+install:	all $(ROOTLIBS64) $(ROOTCOMPATLINKS64)
 
 CPPFLAGS +=	-D_ELF64
 
--- old/usr/src/cmd/sgs/librtld_db/Makefile.com	2019-07-05 17:32:01.064556457 +0000
+++ new/usr/src/cmd/sgs/librtld_db/Makefile.com	2019-07-05 17:32:01.081609608 +0000
@@ -32,6 +32,7 @@
 OBJECTS =	$(BLTOBJ) $(COMOBJS) $(COMOBJS64) $(PLTOBJS)
 
 include		$(SRC)/lib/Makefile.lib
+include		$(SRC)/lib/Makefile.rootfs
 include		$(SRC)/cmd/sgs/Makefile.com
 
 SRCDIR =	../common
--- old/usr/src/cmd/sgs/librtld_db/amd64/Makefile	2019-07-05 17:32:01.509965542 +0000
+++ new/usr/src/cmd/sgs/librtld_db/amd64/Makefile	2019-07-05 17:32:01.526768530 +0000
@@ -39,7 +39,7 @@
 
 all:		$(DYNLIB)
 
-install:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
+install:	all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 pics/plt32_resolution.o: ../i386/plt32_resolution.c
 		$(COMPILE.c) -D_ELF32 $(PICFLAGS) -o $@ \
--- old/usr/src/cmd/sgs/librtld_db/i386/Makefile	2019-07-05 17:32:01.970664448 +0000
+++ new/usr/src/cmd/sgs/librtld_db/i386/Makefile	2019-07-05 17:32:01.991617209 +0000
@@ -37,6 +37,6 @@
 
 all:		$(DYNLIB)
 
-install:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTCOMPATLINKS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/librtld_db/sparc/Makefile	2019-07-05 17:32:02.443169502 +0000
+++ new/usr/src/cmd/sgs/librtld_db/sparc/Makefile	2019-07-05 17:32:02.460258129 +0000
@@ -35,6 +35,6 @@
 
 all:		$(DYNLIB)
 
-install:	all $(ROOTFS_DYNLIB) $(ROOTFS_LINKS)
+install:	all $(ROOTLIBS) $(ROOTLINKS) $(ROOTCOMPATLINKS)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/librtld_db/sparcv9/Makefile	2019-07-05 17:32:02.897833778 +0000
+++ new/usr/src/cmd/sgs/librtld_db/sparcv9/Makefile	2019-07-05 17:32:02.913346938 +0000
@@ -39,7 +39,7 @@
 
 all:		$(DYNLIB)
 
-install:	all $(ROOTFS_DYNLIB64) $(ROOTFS_LINKS64)
+install:	all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 pics/plt32_resolution.o: ../sparc/plt32_resolution.c
 		$(COMPILE.c) -D_ELF32 $(PICFLAGS) -o $@ \
--- old/usr/src/cmd/sgs/rtld/Makefile.com	2019-07-05 17:32:03.303789665 +0000
+++ new/usr/src/cmd/sgs/rtld/Makefile.com	2019-07-05 17:32:03.318693513 +0000
@@ -72,6 +72,13 @@
 ROOTDYNLIB=	$(RTLD:%=$(ROOTFS_LIBDIR)/%)
 ROOTDYNLIB64=	$(RTLD:%=$(ROOTFS_LIBDIR64)/%)
 
+COMPATLINKS=	/etc/lib/ld.so.1 /usr/lib/ld.so.1 /usr/lib/$(MACH64)/ld.so.1
+$(ROOT)/etc/lib/ld.so.1 := COMPATLINKTARGET= ../../lib/ld.so.1
+$(ROOT)/usr/lib/ld.so.1 := COMPATLINKTARGET= ../../lib/ld.so.1
+$(ROOT)/usr/lib/$(MACH64)/ld.so.1 := \
+	COMPATLINKTARGET= ../../../lib/$(MACH64)/ld.so.1
+
+install: $(ROOTCOMPATLINKS)
 
 FILEMODE =	755
 
--- old/usr/src/cmd/sgs/yacc/Makefile.com	2019-07-05 17:32:03.717337277 +0000
+++ new/usr/src/cmd/sgs/yacc/Makefile.com	2019-07-05 17:32:03.733938087 +0000
@@ -41,6 +41,13 @@
 
 include ../../../../lib/Makefile.lib
 
+COMPATLINKS=	/usr/ccs/lib/liby.so \
+		/usr/ccs/lib/$(MACH64)/liby.so
+
+$(ROOT)/usr/ccs/lib/liby.so := COMPATLINKTARGET=../../lib/liby.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/liby.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/liby.so.1
+
 SRCDIR =	../common
 
 # Override default source file derivation rule (in Makefile.lib)
--- old/usr/src/cmd/sgs/yacc/Makefile.targ	2019-07-05 17:32:04.208549736 +0000
+++ new/usr/src/cmd/sgs/yacc/Makefile.targ	2019-07-05 17:32:04.226493021 +0000
@@ -79,5 +79,8 @@
 $(DYNLINKLIBDIR)/%: %$(VERS)
 	$(INS.liblink)
 
+$(ROOTCOMPATLINKS):
+	$(RM) $@; $(SYMLINK) $(COMPATLINKTARGET) $@
+
 clean:
 		$(RM) $(POBJS) $(OBJS) $(PICS) $(CLEANFILES)
--- old/usr/src/cmd/sgs/yacc/amd64/Makefile	2019-07-05 17:32:04.659844682 +0000
+++ new/usr/src/cmd/sgs/yacc/amd64/Makefile	2019-07-05 17:32:04.677091578 +0000
@@ -23,8 +23,6 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 # This Makefile is only to produce 64-bit yacc shared library liby.so.1
 # and not for building 64-bit yacc itself.
@@ -39,7 +37,7 @@
 
 all_lib: $(LIBS)
 
-install_lib: all_lib $(ROOTLIBS64) $(ROOTLINKS64)
+install_lib: all_lib $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include ../Makefile.targ
 include ../../../Makefile.targ
--- old/usr/src/cmd/sgs/yacc/i386/Makefile	2019-07-05 17:32:05.134520217 +0000
+++ new/usr/src/cmd/sgs/yacc/i386/Makefile	2019-07-05 17:32:05.151114153 +0000
@@ -40,7 +40,7 @@
 		$(RM) $(ROOTCCSBIN)/yaccpar
 		$(SYMLINK) ../../share/lib/ccs/yaccpar $(ROOTCCSBIN)/yaccpar
 
-install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB)
+install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTCOMPATLINKS)
 
 include		../Makefile.targ
 include		../../../Makefile.targ
--- old/usr/src/cmd/sgs/yacc/sparc/Makefile	2019-07-05 17:32:05.609796467 +0000
+++ new/usr/src/cmd/sgs/yacc/sparc/Makefile	2019-07-05 17:32:05.627172273 +0000
@@ -38,7 +38,7 @@
 
 install:	all $(ROOTPROG) $(ROOTYACCPAR) $(ROOTCCSBINLINK)
 
-install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB)
+install_lib:	all_lib $(ROOTLIBS) $(ROOTLINKS) $(DYNLINKLIB) $(ROOTCOMPATLINKS)
 		$(RM) $(ROOTCCSBIN)/yaccpar
 		$(SYMLINK) ../../share/lib/ccs/yaccpar $(ROOTCCSBIN)/yaccpar
 
--- old/usr/src/cmd/sgs/yacc/sparcv9/Makefile	2019-07-05 17:32:06.081247311 +0000
+++ new/usr/src/cmd/sgs/yacc/sparcv9/Makefile	2019-07-05 17:32:06.099827585 +0000
@@ -20,13 +20,9 @@
 # CDDL HEADER END
 #
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1997 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# cmd/sgs/yacc/sparcv9/Makefile
-#
 
 # This Makefile is only to produce 64-bit yacc shared library liby.so.1
 # and not for building 64-bit yacc itself.
@@ -41,7 +37,7 @@
 
 all_lib: $(LIBS)
 
-install_lib: all_lib $(ROOTLIBS64) $(ROOTLINKS64)
+install_lib: all_lib $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include ../Makefile.targ
 include ../../../Makefile.targ
--- old/usr/src/lib/Makefile.lib	2019-07-05 17:32:06.555197750 +0000
+++ new/usr/src/lib/Makefile.lib	2019-07-05 17:32:06.572728725 +0000
@@ -239,5 +239,15 @@
 TYPECHECK_LIB32 =		$(TYPECHECK_LIB:%=$(MACH)/%)
 TYPECHECK_LIB64 =		$(TYPECHECK_LIB:%=$(MACH64)/%)
 TYPECHECK_LIST=			$(TYPELIST:%=-T %)
-$(BUILD64)TYPECHECK.lib =	$(CTFDIFF) -t -I $(TYPECHECK_LIST) $(TYPECHECK_LIB32) $(TYPECHECK_LIB64)
+$(BUILD64)TYPECHECK.lib =	$(CTFDIFF) -t -I $(TYPECHECK_LIST) \
+	$(TYPECHECK_LIB32) $(TYPECHECK_LIB64)
 TYPECHECK =			$(TYPECHECK_LIB:%=%.typecheck)
+
+# Links we need to create for compatibility
+COMPATLINKS=
+COMPATLINKS64=
+ROOTCOMPATLINKS=$(COMPATLINKS:%=$(ROOT)/%)
+ROOTCOMPATLINKS64=$(COMPATLINKS64:%=$(ROOT)/%)
+
+# So if someone doesn't set the target-specific variable they get a clue
+COMPATLINKTARGET= /__you_didnt_use_COMPATLINKS_properly__
--- old/usr/src/lib/Makefile.mach	2019-07-05 17:32:07.054045149 +0000
+++ new/usr/src/lib/Makefile.mach	2019-07-05 17:32:07.076862453 +0000
@@ -23,10 +23,8 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/Makefile.mach
 #
+
 # included to define targets built with machine-dependent source
 #
 
@@ -56,4 +54,10 @@
 $(MACHLIBS64): FRC
 	@cd $(@D); pwd; VERSION='$(VERSION)' $(MAKE) $(@F)
 
+$(ROOTCOMPATLINKS):
+	$(RM) $@; $(SYMLINK) $(COMPATLINKTARGET) $@
+
+$(ROOTCOMPATLINKS64):
+	$(RM) $@; $(SYMLINK) $(COMPATLINKTARGET) $@
+
 FRC:
--- old/usr/src/lib/Makefile.rootfs	2019-07-05 17:32:07.551154476 +0000
+++ new/usr/src/lib/Makefile.rootfs	2019-07-05 17:32:07.567628422 +0000
@@ -22,11 +22,23 @@
 #
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+
 # To install libraries in the root filesystem (/lib),
 # include this Makefile right after Makefile.lib
 
 ROOTLIBDIR=	$(ROOTFS_LIBDIR)
 ROOTLIBDIR64=	$(ROOTFS_LIBDIR64)
+
+
+COMPATLINKS=	/usr/lib/$(DYNLIB) \
+		/usr/lib/$(LIBLINKS)
+
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB) \
+		/usr/lib/$(MACH64)/$(LIBLINKS)
+
+$(ROOT)/usr/lib/$(DYNLIB) := COMPATLINKTARGET=../../lib/$(DYNLIB)
+$(ROOT)/usr/lib/$(LIBLINKS) := COMPATLINKTARGET=../../lib/$(DYNLIB)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB)
+$(ROOT)/usr/lib/$(MACH64)/$(LIBLINKS) := \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB)
--- old/usr/src/lib/Makefile.targ	2019-07-05 17:32:07.979295746 +0000
+++ new/usr/src/lib/Makefile.targ	2019-07-05 17:32:07.991721953 +0000
@@ -114,3 +114,10 @@
 clean:
 	-$(RM) $(OBJS)
 	-$(RM) $(PICS) $(DUPLICATE_SRC) $(LINTOUT) $(LINTLIB) $(CLEANFILES)
+
+$(ROOTCOMPATLINKS):
+	$(RM) $@; $(SYMLINK) $(COMPATLINKTARGET) $@
+
+$(ROOTCOMPATLINKS64):
+	$(RM) $@; $(SYMLINK) $(COMPATLINKTARGET) $@
+
--- old/usr/src/lib/crt/Makefile.com	2019-07-05 17:32:08.445056116 +0000
+++ new/usr/src/lib/crt/Makefile.com	2019-07-05 17:32:08.463418667 +0000
@@ -55,6 +55,38 @@
 $(COMMON_CRT) $(VALUES) := CFLAGS += $(C_PICFLAGS)
 $(COMMON_CRT) $(VALUES) := CFLAGS64 += $(C_PICFLAGS64)
 
+COMPATLINKS=	/usr/ccs/lib/values-Xa.o \
+		/usr/ccs/lib/values-Xc.o \
+		/usr/ccs/lib/values-Xs.o \
+		/usr/ccs/lib/values-Xt.o \
+		/usr/ccs/lib/values-xpg4.o \
+		/usr/ccs/lib/values-xpg6.o \
+		/usr/ccs/lib/$(MACH64)/values-Xa.o \
+		/usr/ccs/lib/$(MACH64)/values-Xc.o \
+		/usr/ccs/lib/$(MACH64)/values-Xs.o \
+		/usr/ccs/lib/$(MACH64)/values-Xt.o \
+		/usr/ccs/lib/$(MACH64)/values-xpg4.o \
+		/usr/ccs/lib/$(MACH64)/values-xpg6.o
+
+$(ROOT)/usr/ccs/lib/values-Xa.o:=	COMPATLINKTARGET=../../lib/values-Xa.o
+$(ROOT)/usr/ccs/lib/values-Xc.o:=	COMPATLINKTARGET=../../lib/values-Xc.o
+$(ROOT)/usr/ccs/lib/values-Xs.o:=	COMPATLINKTARGET=../../lib/values-Xs.o
+$(ROOT)/usr/ccs/lib/values-Xt.o:=	COMPATLINKTARGET=../../lib/values-Xt.o
+$(ROOT)/usr/ccs/lib/values-xpg4.o:=	COMPATLINKTARGET=../../lib/values-xpg4.o
+$(ROOT)/usr/ccs/lib/values-xpg6.o:=	COMPATLINKTARGET=../../lib/values-xpg6.o
+$(ROOT)/usr/ccs/lib/$(MACH64)/values-Xa.o:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/values-Xa.o
+$(ROOT)/usr/ccs/lib/$(MACH64)/values-Xc.o:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/values-Xc.o
+$(ROOT)/usr/ccs/lib/$(MACH64)/values-Xs.o:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/values-Xs.o
+$(ROOT)/usr/ccs/lib/$(MACH64)/values-Xt.o:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/values-Xt.o
+$(ROOT)/usr/ccs/lib/$(MACH64)/values-xpg4.o:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/values-xpg4.o
+$(ROOT)/usr/ccs/lib/$(MACH64)/values-xpg6.o:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/values-xpg6.o
+
 .KEEP_STATE:
 
 all:	$(OBJECTS)
@@ -95,4 +127,5 @@
 $(ROOTLIB64)/gcrt1.o:
 	$(RM) $(ROOTLIB64)/gcrt1.o; $(SYMLINK) crt1.o $(ROOTLIB64)/gcrt1.o
 
-FRC:
+$(ROOTCOMPATLINKS):
+	$(RM) $@; $(SYMLINK) $(COMPATLINKTARGET) $@
--- old/usr/src/lib/crt/amd64/Makefile	2019-07-05 17:32:08.929932056 +0000
+++ new/usr/src/lib/crt/amd64/Makefile	2019-07-05 17:32:08.947386451 +0000
@@ -27,4 +27,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install:	$(ROOTOBJECTS64)
+install:	$(ROOTOBJECTS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/crt/i386/Makefile	2019-07-05 17:32:09.401385697 +0000
+++ new/usr/src/lib/crt/i386/Makefile	2019-07-05 17:32:09.419538755 +0000
@@ -26,4 +26,4 @@
 
 include ../Makefile.com
 
-install:	$(ROOTOBJECTS)
+install:	$(ROOTOBJECTS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/crt/sparc/Makefile	2019-07-05 17:32:09.873692068 +0000
+++ new/usr/src/lib/crt/sparc/Makefile	2019-07-05 17:32:09.891310660 +0000
@@ -26,4 +26,4 @@
 
 include ../Makefile.com
 
-install:	$(ROOTOBJECTS)
+install:	$(ROOTOBJECTS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/crt/sparcv9/Makefile	2019-07-05 17:32:10.352025696 +0000
+++ new/usr/src/lib/crt/sparcv9/Makefile	2019-07-05 17:32:10.370027503 +0000
@@ -27,4 +27,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install:	$(ROOTOBJECTS64)
+install:	$(ROOTOBJECTS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/fm/libfmevent/Makefile.com	2019-07-05 17:32:10.835380952 +0000
+++ new/usr/src/lib/fm/libfmevent/Makefile.com	2019-07-05 17:32:10.853266912 +0000
@@ -81,6 +81,19 @@
 
 CLEANFILES += ../common/fmev_errstring.c
 
+COMPATLINKS =	/usr/lib/fm/$(DYNLIB) /usr/lib/fm/$(LIBLINKS)
+COMPATLINKS64 =	/usr/lib/fm/$(MACH64)/$(DYNLIB) \
+	/usr/lib/fm/$(MACH64)/$(LIBLINKS)
+
+$(ROOT)/usr/lib/fm/libfmevent.so.1 := \
+	COMPATLINKTARGET=../../../lib/fm/libfmevent.so.1
+$(ROOT)/usr/lib/fm/libfmevent.so := \
+	COMPATLINKTARGET=../../../lib/fm/libfmevent.so.1
+$(ROOT)/usr/lib/fm/$(MACH64)/libfmevent.so.1:= \
+	COMPATLINKTARGET=../../../../lib/fm/$(MACH64)/libfmevent.so.1
+$(ROOT)/usr/lib/fm/$(MACH64)/libfmevent.so:= \
+	COMPATLINKTARGET=../../../../lib/fm/$(MACH64)/libfmevent.so.1
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/fm/libfmevent/amd64/Makefile	2019-07-05 17:32:11.312707490 +0000
+++ new/usr/src/lib/fm/libfmevent/amd64/Makefile	2019-07-05 17:32:11.331142513 +0000
@@ -27,4 +27,4 @@
 
 DYNFLAGS += -R/usr/lib/fm/$(MACH64)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/fm/libfmevent/i386/Makefile	2019-07-05 17:32:11.780650938 +0000
+++ new/usr/src/lib/fm/libfmevent/i386/Makefile	2019-07-05 17:32:11.797274059 +0000
@@ -26,4 +26,4 @@
 
 DYNFLAGS += -R/usr/lib/fm
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/fm/libfmevent/sparc/Makefile	2019-07-05 17:32:12.262190167 +0000
+++ new/usr/src/lib/fm/libfmevent/sparc/Makefile	2019-07-05 17:32:12.280499949 +0000
@@ -26,4 +26,4 @@
 
 DYNFLAGS += -R/usr/lib/fm
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/fm/libfmevent/sparcv9/Makefile	2019-07-05 17:32:12.731449025 +0000
+++ new/usr/src/lib/fm/libfmevent/sparcv9/Makefile	2019-07-05 17:32:12.751423204 +0000
@@ -27,4 +27,4 @@
 
 DYNFLAGS += -R/usr/lib/fm/$(MACH64)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libadm/amd64/Makefile	2019-07-05 17:32:13.213278838 +0000
+++ new/usr/src/lib/libadm/amd64/Makefile	2019-07-05 17:32:13.230156203 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libadm/i386/Makefile	2019-07-05 17:32:13.662958723 +0000
+++ new/usr/src/lib/libadm/i386/Makefile	2019-07-05 17:32:13.679704168 +0000
@@ -23,11 +23,11 @@
 # Copyright 1997-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/libadm/i386/Makefile
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libadm/sparc/Makefile	2019-07-05 17:32:14.150020063 +0000
+++ new/usr/src/lib/libadm/sparc/Makefile	2019-07-05 17:32:14.167106550 +0000
@@ -23,11 +23,11 @@
 # Copyright 1997-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/libadm/sparc/Makefile
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libadm/sparcv9/Makefile	2019-07-05 17:32:14.605765944 +0000
+++ new/usr/src/lib/libadm/sparcv9/Makefile	2019-07-05 17:32:14.623836070 +0000
@@ -23,7 +23,7 @@
 # Copyright 1998-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/libadm/sparcv9/Makefile
 #
@@ -31,4 +31,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libaio/amd64/Makefile	2019-07-05 17:32:15.097697010 +0000
+++ new/usr/src/lib/libaio/amd64/Makefile	2019-07-05 17:32:15.115509971 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libaio/i386/Makefile	2019-07-05 17:32:15.561941081 +0000
+++ new/usr/src/lib/libaio/i386/Makefile	2019-07-05 17:32:15.579930376 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libaio/sparc/Makefile	2019-07-05 17:32:16.017797202 +0000
+++ new/usr/src/lib/libaio/sparc/Makefile	2019-07-05 17:32:16.034452388 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) \
+	$(ROOTLINT) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libaio/sparcv9/Makefile	2019-07-05 17:32:16.476619848 +0000
+++ new/usr/src/lib/libaio/sparcv9/Makefile	2019-07-05 17:32:16.494193107 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libavl/Makefile.com	2019-07-05 17:32:16.911134946 +0000
+++ new/usr/src/lib/libavl/Makefile.com	2019-07-05 17:32:16.927021556 +0000
@@ -35,7 +35,7 @@
 
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
-COMDIR = 	$(SRC)/common/avl
+COMDIR =	$(SRC)/common/avl
 
 LDLIBS +=	-lc
 CFLAGS +=	$(CCVERBOSE)
@@ -44,6 +44,8 @@
 
 all : $(LIBS)
 
+install : $(ROOTCOMPATLINKS)
+
 lint : lintcheck
 
 pics/%.o:	 $(COMDIR)/%.c
--- old/usr/src/lib/libavl/amd64/Makefile	2019-07-05 17:32:17.391245633 +0000
+++ new/usr/src/lib/libavl/amd64/Makefile	2019-07-05 17:32:17.408302275 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libavl/i386/Makefile	2019-07-05 17:32:17.901882364 +0000
+++ new/usr/src/lib/libavl/i386/Makefile	2019-07-05 17:32:17.919407809 +0000
@@ -23,10 +23,10 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/libavl/i386/Makefile
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
